Bug 892313 - Review Request: rubygem-net-http-digest_auth - Implementation of RFC 2617 - Digest Access Authentication
Summary: Review Request: rubygem-net-http-digest_auth - Implementation of RFC 2617 - D...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-06 16:26 UTC by Mamoru TASAKA
Modified: 2015-06-22 00:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-04 03:24:54 UTC
Type: ---
dpierce: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2013-01-06 16:26:54 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-net-http-digest_auth.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-net-http-digest_auth-1.2.1-1.fc.src.rpm
Description:
An implementation of RFC 2617 - Digest Access Authentication.  At this time
the gem does not drop in to Net::HTTP and can be used for with other HTTP
clients.
In order to use net-http-digest_auth you'll need to perform some request
wrangling on your own.  See the class documentation at Net::HTTP::DigestAuth
for an example.
Fedora Account System Username: mtasaka

Koji scratch build:
F-19: http://koji.fedoraproject.org/koji/taskinfo?taskID=4843723
F-18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4843725

Comment 1 Darryl L. Pierce 2013-02-26 15:50:47 UTC
No problems found: PACKAGE APPROVED


Package Review
==============

Key:
[X] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     net-http-digest_auth-doc
     
Missing the %{?_isa} portion in the -doc subpackage Requires.
     
[X]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[X]: License file installed when any subpackage combination is installed.
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[X]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[X]: Each %files section contains %defattr if rpm < 4.4
[X]: Macros in Summary, %description expandable at SRPM build time.
[X]: Package does not contain duplicates in %files.
[X]: Permissions on files are set properly.
[X]: Spec file lacks Packager, Vendor, PreReq tags.
[X]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[X]: Package is named using only allowed ASCII characters.
[X]: Package do not use a name that already exist
[X]: Package is not relocatable.
[X]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[X]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[X]: File names are valid UTF-8.
[X]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[X]: Packages must not store files under /srv, /opt or /usr/local
[X]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[X]: Package installs properly.
[X]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[X]: Gem package must not define a non-gem subpackage
[X]: Gem package is named rubygem-%{gem_name}
[X]: Package contains BuildRequires: rubygems-devel.
[X]: Gem package must define %{gem_name} macro.
[X]: Pure Ruby package must be built as noarch
[X]: Package contains Requires: ruby(abi).

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
     
It would be nice if the license were separate from the readme file.
     
[X]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[X]: Sources can be downloaded from URI in Source: tag
[X]: Reviewer should test that the package builds in mock.
[X]: Buildroot is not present
[X]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[X]: Dist tag is present.
[X]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[X]: SourceX tarball generation or download is documented.
[X]: SourceX is a working URL.
[X]: Spec use %global instead of %define.

Ruby:
[X]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude %{gem_cache}, %doc
     %{gem_docdir}, %{gem_libdir}, %{gem_spec}
[-]: Test suite of the library should be run.
[X]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[X]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[X]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[X]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-net-http-digest_auth-1.2.1-1.fc18.noarch.rpm
          rubygem-net-http-digest_auth-doc-1.2.1-1.fc18.noarch.rpm
rubygem-net-http-digest_auth.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
rubygem-net-http-digest_auth.noarch: W: spelling-error %description -l en_US DigestAuth -> Digested
rubygem-net-http-digest_auth-doc.noarch: W: spelling-error Summary(en_US) auth -> auto, Ruth, author
rubygem-net-http-digest_auth-doc.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-net-http-digest_auth rubygem-net-http-digest_auth-doc
rubygem-net-http-digest_auth.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
rubygem-net-http-digest_auth.noarch: W: spelling-error %description -l en_US DigestAuth -> Digested
rubygem-net-http-digest_auth-doc.noarch: W: spelling-error Summary(en_US) auth -> auto, Ruth, author
rubygem-net-http-digest_auth-doc.noarch: W: spelling-error %description -l en_US auth -> auto, Ruth, author
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-net-http-digest_auth (rpmlib, GLIBC filtered):
    ruby
    ruby(abi)
    ruby(rubygems)

rubygem-net-http-digest_auth-doc (rpmlib, GLIBC filtered):
    rubygem-net-http-digest_auth



Provides
--------
rubygem-net-http-digest_auth:
    rubygem(net-http-digest_auth)
    rubygem-net-http-digest_auth

rubygem-net-http-digest_auth-doc:
    rubygem-net-http-digest_auth-doc



MD5-sum check
-------------
http://rubygems.org/gems/net-http-digest_auth-1.2.1.gem :
  CHECKSUM(SHA256) this package     : 407946048fdb8f994308ccf8bc1f9f9e7e05e36cb4b04e0485a39964092f5fdf
  CHECKSUM(SHA256) upstream package : 407946048fdb8f994308ccf8bc1f9f9e7e05e36cb4b04e0485a39964092f5fdf


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 892313 -m fedora-18-x86_64

Comment 2 Mamoru TASAKA 2013-02-28 15:15:04 UTC
Thank you!

New Package SCM Request
=======================
Package Name: rubygem-net-http-digest_auth
Short Description: Implementation of RFC 2617 - Digest Access Authentication
Owners: mtasaka
Branches: f17 f18

Comment 3 Gwyn Ciesla 2013-02-28 15:34:25 UTC
Git done (by process-git-requests).

Comment 4 Mamoru TASAKA 2013-03-04 03:24:54 UTC
Successfully rebuilt on F-19/18/17, push requested on F18/17, now closing.
Thank you for review and git procedure.


Note You need to log in before you can comment on or make changes to this bug.